package com.antoniofrische.parser;

import com.antoniofrische.Empleado;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;


import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.File;

public class Parser {
    Empleado[] empleados;

    public Parser(){
        File file = new File("C:\\Users\\AntonioFrische\\OneDrive - ABACCO Solutions\\Documents\\Schule_22_23_CFGS\\Acceso_Datos\\IntelliJProyect\\XMLParser\\src\\main\\resources\\Empleados");
        try {
            DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
            DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
            Document doc = dBuilder.parse(file);
            doc.getDocumentElement().normalize();
            NodeList nList = doc.getElementsByTagName("empleado");
            empleados = new Empleado[nList.getLength()];

            for (int i = 0; i < nList.getLength(); i++){
                Node nNode = nList.item(i);
                if(nNode.getNodeType() == Node.ELEMENT_NODE) {
                    Element eElement = (Element) nNode;
                    String id = eElement.getAttribute("id");
                    String apellido = eElement.getElementsByTagName("apellido").item(0).getTextContent();
                    String departemento = eElement.getElementsByTagName("dep").item(0).getTextContent();
                    String salario = eElement.getElementsByTagName("salario").item(0).getTextContent();
                    empleados[i] = new Empleado(id,apellido,departemento,salario);
                }
            }

        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    public Empleado[] getEmpleados(){
        return empleados;
    }
}
